API Guide Home (Online version only) |

# palmOneLcdOverlay.h File Reference

## Detailed Description

Public 68k include file for LCDOverlay API that can be used to display YCbCr images directly on the screen.

Version:
  1.0

Definition in file palmOneLcdOverlay.h.

Include dependency graph for palmOneLcdOverlay.h:

Go to the source code of this file.

## Functions

- Err LcdOverlayLibOpen (UInt16 refNum)
- Err LcdOverlayLibClose (UInt16 refNum)
- Err LcdOverlayLibGetVersion (UInt16 refNum, UInt32 sdkVersion, UInt32 *libVersionP)
- Err LcdOverlayLibControl (UInt16 refNum, LcdOverlayLibControlType cmdId, void *parameterP)

## Function Documentation

Err LcdOverlayLibClose | ( | UInt16 | refNum | ) |

Closes LcdOverlay library.

Parameters:

  | refNum,: | IN: Reference number of the LcdOverlay library.

Returns:
  Err The error code returned from the library. If this is errNone, the function was sucessful.

Err LcdOverlayLibControl | ( | UInt16 | refNum,
|  | LcdOverlayLibControlType | cmdId,
|  | void * | parameterP |
| ) |  |  |

Control the setting of the LcdOverlay Library.

Parameters:

  | refNum,: | IN: Reference number of the LcdOverlay library.
  | cmdId,: | IN: The commandId. One of the above stated control commands.
  | parameterP,: | OUT: Parameter associated with a command.

Return values:

  | Err | The error code returned from the library. If this is errNone, the function was sucessful.

Err LcdOverlayLibGetVersion | ( | UInt16 | refNum,
|  | UInt32 | sdkVersion,
|  | UInt32 * | libVersionP |
| ) |  |  |

Returns version of the LcdOverlay Library.

Parameters:

  | refNum,: | IN: Reference number of the LcdOverlay library.
  | sdkVersion,: | IN: Expected version number.
  | libVersionP,: | OUT: Pointer to version number returned.

Return values:

  | Err | The error code returned from the library. If this is errNone, the function was sucessful.

Err LcdOverlayLibOpen | ( | UInt16 | refNum | ) |

Opens LcdOverlay library.

This function should be called prior to calling the other LcdOverlay functions.

Parameters:

  | refNum,: | IN: Reference number of the LcdOverlay library.

Return values:

  | Err | The error code returned from the library. If this is errNone, the function was sucessful.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:51 2008 for Palm API Guide